=== src/getopt/CMakeLists.txt ===

include_directories ("${PROJECT_BINARY_DIR}/")
add_library(getopt OBJECT getopt.c getopt.h)
