## pfstools 1.8.5

=== debian/changelog ===
pfstools (1.8.5-1) unstable; urgency=low

  * debian/rules:
    - Split 'build' target into 'build-arch' and 'build-indep'.
    - Use dpkg-buildflags to get build flags.
  * debian/control:
    - Updated standards-version to 3.9.3.
  * debian/copyright:
    - Updated for upstream version 1.8.5.
  * debian/patches/:
    - Added Wformat-security.dpatch, fixing some issues identified by
      -Wformat-security.

 -- Sebastian Harl <tokkee@debian.org>  Sat, 30 Jun 2012 14:48:49 +0200

pfstools (1.8.5-0.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Sébastien Villemot ]
  * New upstream release, build-depend on Qt4 instead of Qt3 (Closes: #604368)
  * gcc-4.4.dpatch: remove patch, applied upstream
  * Convert to format 3.0 (quilt) and drop dpatch, because otherwise Lintian
    produces an error (dpatch is obsolete)

  [ Rafael Laboissiere ]
  * debian/control:
    - Build-depend on liboctave-dev, such that the package builds with
      Octave 3.6 (Closes: #666959)
    - Depend simply on octave, do not use the obsolete ${octave:Depends}
      substitution variable anymore
  * debian/rules:
    - Use directly the octave-config script in order to get the
      installation path for the *.oct and *.m files
    - Do not invoke the obsolete script octave-depends
  * debian/octave-pfstools.install: Adjust for the multiarch path, which
    contains the architecture triplet now

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 03 Jun 2012 11:00:46 +0200

pfstools (1.8.1-2) unstable; urgency=low

  [ Thomas Weber ]
  * Switch to octave3.2 (Closes: #567875).

  [ Sebastian Harl ]
  * debian/control:
    - Updated standards-version to 3.8.4 -- no changes.
    - Let libpfs-dev depend on libpfs (= ${binary:Version}) (rather than a
      weak dependency on >= ${source:Version}).
    - Let all packages depend on ${misc:Depends}.
  * Added debian/README.source:
    - The file includes a pointer to /usr/share/doc/dpatch/README.source.gz.

 -- Sebastian Harl <tokkee@debian.org>  Mon, 15 Mar 2010 22:50:05 +0100

pfstools (1.8.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch gcc-4.4.dpatch, to fix FTBFS w/ gcc 4.4, rationale; patch
    from Ubuntu (with some extra comments/rationale by me).
    (Closes: #554494)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 20 Dec 2009 15:12:00 +0100

pfstools (1.8.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Removed dcraw-m.dpatch - merged upstream.
    - Removed octave3.0.dpatch - merged upstream.
    - Added octave-nargin.dpatch - this patch lets octave scripts use the
      variable nargin instead of length(argv); the latter does not work
      reliably when no command line arguments have been specified.
    - Added octave-signal.dpatch - this patch lets pfsstat bail out with an
      error message if gausswin() is not available, telling the user to
      install octave-signal.
  * Removed debian/pfsglview.1 - included upstream.
  * debian/control:
    - Added libmagick++-dev as an option to the libmagick++9-dev build
      dependency.
    - Updated Standards-Version to 3.8.1 - no changes.
    - Changed section of package 'pfstools-dbg' to the newly added section
      'debug'.
    - Build-depend on texlive-latex-base rather than the obsolete tetex-bin.
    - Updated homepage.
    - Let pfstools recommend octave-signal which is required by pfsstat.
  * debian/pfsglview.install:
    - Install the pfsglview.1 manpage.
  * debian/pfstools.install:
    - Install usr/share/pfstools/hdrhtml_*.
  * debian/rules:
    - Use dh_install's --fail-missing instead of --list-missing.
    - Explicitly disable all features that are not available to ensure
      consistent builds - currently this is matlab, jpeghdr and gdal.
    - Pass CXXFLAGS as arguments to configure instead of setting them in the
      environment - this is the recommended way.
  * debian/control, debian/rules:
    - Use ${octave:Depends} and octave3.0-depends instead of explicitly
      depending on octave3.0.

 -- Sebastian Harl <tokkee@debian.org>  Mon, 08 Jun 2009 20:41:22 +0200

pfstools (1.6.4-2) unstable; urgency=low

  * Switched to octave3.0, thanks to Thomas Weber for the patches
    (Closes: #458131).
    - Added octave3.0.dpatch including required changes for octave 3.0.
  * Added dcraw-m.dpatch which fixes the usage of dcraw's "-m" command line
    option (Closes: #464724).

 -- Sebastian Harl <sh@tokkee.org>  Mon, 31 Mar 2008 16:38:54 +0200

pfstools (1.6.4-1) unstable; urgency=low

  * New upstream release.
    - Added missing includes required by gcc-4.3 (Closes: #455648).
  * Downgraded pfstool's requirement on octave{,pfstools} to a recommendation
    (Closes: #445909).
  * Added new binary packages for pfsglview and pfsview to prevent users from
    having to install OpenGL/GLUT and Qt.
  * Removed a bashism from debian/rules (Closes: #456508).
  * Renamed "XS-Vcs-*" fields to Vcs-* and moved "Homepage" field from the
    package description to the source stanza:
    - Added versioned build dependency on dpkg-dev (>= 1.14.6).
  * Updated to standards version 3.7.3 (no changes).
  * Changed maintainer to pkg-phototools team:
    - Moved myself to uploaders.
  * Added a watch file, thanks to Cyril Brulebois.

 -- Sebastian Harl <sh@tokkee.org>  Sun, 27 Jan 2008 17:33:12 +0100

pfstools (1.6.2-1) unstable; urgency=low

  * Initial release (Closes: #399503, #410669).
  * Added pfsglview.1 from upstream CVS.

 -- Sebastian Harl <sh@tokkee.org>  Fri, 10 Aug 2007 15:00:06 +0200
