=== debian/watch ===
version=3

http://sf.net/pfstools/pfstools-([0-9.]+)\.tar\.gz
