## pfstools 2.0.4

=== debian/changelog ===
pfstools (2.0.4-5build1) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Dec 2015 10:14:08 -0500

pfstools (2.0.4-5) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Closes: #807221

 -- Andreas Metzler <ametzler@debian.org>  Mon, 07 Dec 2015 07:59:39 +0100

pfstools (2.0.4-4) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 01 Nov 2015 17:48:11 +0100

pfstools (2.0.4-3) experimental; urgency=medium

  * There is no use for a separate build-indep target in debian/rules if there
    are no arch-indep packages to build.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 29 Oct 2015 19:31:04 +0100

pfstools (2.0.4-2) experimental; urgency=medium

  * Disable parallel build to fix FTBFS.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 28 Oct 2015 19:24:18 +0100

pfstools (2.0.4-1) experimental; urgency=medium

  * Watchfile matches on .tgz in addition to tar.gz.
  * Switch to dh, and debhelper compat level 9.
  * Drop outdated and superfluous README.source.
  * New upstream version.
  * Updated upstream build-system:
    + Update build-depends and rules for cmake.
    + Manually build LaTeX docs, ignored by upstream build-system.
    + cmake build only supports building either shared or static lib, instead
      of both, build shared one and update libpfs-dev.install. accordingly.
      la-file is gone, too.
    + The cmake build-system does not easily support multi-arch, revert
      *.install again.
  * Drop Wformat-security.dpatch, 20_stop_overriding_CXXFLAGS.diff and
    octave-4.0.diff.
  * Add 21_fedora_maptype.patch from Fedora to fix octave related FTBFS.
  * Add 22_octave_install_dirs.patch, to allow specifying separate target
    directories for octave dynamic-link libraries and octave .m script files.
    Use these variables in debian/rules.
  * Upstream soname-bump: libpfs-1.2-0 -> libpfs2, packages renamed.
  * pfstmo has been integrated into pfstools, take over binary package and add
    b-d on libgsl0-dev (needed for pfstmo_mantiuk08).
  * Register pfs_format_spec.pdf with doc-base.
  * Add debian/missing-sources/mootools-1.2.4.js.
  * Link with -Wl,--as-needed.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 24 Oct 2015 13:12:42 +0200

pfstools (1.8.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/octave-4.0.diff: new patch, fixes FTBFS against Octave 4.0.
    (Closes: #792890)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 Jul 2015 20:17:58 +0200

pfstools (1.8.5-2) unstable; urgency=medium

  [ Jackson Doak ]
  * debian/control:
    - Use canonical git urls
    - Change libtiff4-dev to libtiff-dev. Closes: #736037, #681824 
    - Drop alternate build-depend on libmagick++9-dev, it no longer exists 

  [ Andreas Metzler ]
  * Upload to unstable to prevent removal from testing.
  * Add myself to uploaders.
  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}). (Thanks,
    Logan Rosen) Closes: #737668
  * Use Debian's default LDFLAGS.
  * 20_stop_overriding_CXXFLAGS.diff: Stop
    ./configure --enable-debug/--disable-debug from changing CXXFLAGS (either
    disable all optimisation and use -g, or disable -g and set -O3) apart from
    prepending -g for --enable-debug.  (Fixes lintian's
    debug-file-with-no-debug-symbols warning.)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Aug 2014 18:45:56 +0200
