=== debian/control ===
--- 
+++ 
@@ -2,12 +2,15 @@
 Section: graphics
 Priority: optional
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Sebastian Harl <tokkee@debian.org>
-Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.14.6), gfortran, autotools-dev, libqt4-dev, libmagick++-dev | libmagick++9-dev, libtiff4-dev, libopenexr-dev, libnetpbm10-dev, liboctave-dev, texlive-latex-base, freeglut3-dev
-Standards-Version: 3.9.3
+Uploaders: Sebastian Harl <tokkee@debian.org>, Andreas Metzler <ametzler@debian.org>
+Build-Depends: debhelper (>= 9), gfortran,
+ cmake, libqt4-dev, libmagick++-dev, libtiff-dev, libopenexr-dev,
+ libnetpbm10-dev, liboctave-dev, texlive-latex-base, freeglut3-dev,
+ libgsl-dev
+Standards-Version: 3.9.6
 Homepage: http://pfstools.sourceforge.net/
-Vcs-Git: git://git.debian.org/git/pkg-phototools/pfstools.git
-Vcs-Browser: http://git.debian.org/?p=pkg-phototools/pfstools.git
+Vcs-Git: git://anonscm.debian.org/pkg-phototools/pfstools.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/pfstools.git
 
 Package: pfstools
 Architecture: any
@@ -53,7 +56,7 @@
 Architecture: any
 Priority: extra
 Depends: pfstools (= ${binary:Version}), pfsglview (= ${binary:Version}),
- pfsview (= ${binary:Version}), libpfs-1.2-0 (= ${binary:Version}),
+ pfsview (= ${binary:Version}), libpfs2 (= ${binary:Version}),
  ${misc:Depends}
 Description: command line HDR manipulation programs (debugging symbols)
  PFS is a high-dynamic range (HDR) image format. It is an attempt to integrate
@@ -66,7 +69,7 @@
 Package: libpfs-dev
 Section: libdevel
 Architecture: any
-Depends: libpfs-1.2-0 (= ${binary:Version}), ${misc:Depends}
+Depends: libpfs2 (= ${binary:Version}), ${misc:Depends}
 Description: C++ library to read and write pfs files (development files)
  PFS is a high-dynamic range (HDR) image format. It is an attempt to integrate
  existing file formats by providing a simple data format that can be used to
@@ -75,7 +78,7 @@
  .
  This package contains the header files and the static library.
 
-Package: libpfs-1.2-0
+Package: libpfs2
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -98,3 +101,18 @@
  .
  This package contains octave bindings to read and write PFS files.
 
+Package: pfstmo
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: pfstools
+Description: set of tone mapping operators
+ This package contains a set of state-of-the-art tone mapping operators. Tone
+ mapping is a technique used to approximately map the appearance of
+ high-dynamic range (HDR) images to media with more limited dynamic range. The
+ operators are suitable for processing of both static images and animations.
+ .
+ The operators are embedded in a flexible framework (pfstools) which provides
+ a unified input/output mechanism and a modular architecture for the filtering
+ of the image data. Various file formats for static images and video are
+ transparently supported and the High Dynamic Range data are processed
+ modularly through a Unix piping mechanism.
